Page MenuHomePhabricator

Co-op: If bot creates a topic or board header on an empty page, turn it into a Flow board.
Closed, ResolvedPublic

Description

(This is necessary if we haven't killed Flow's Occupation Controller. If we fix T76778, then we only have to consider security issues.)

As Hostbot, when I create a new Flow topic on Wikipedia_talk:Co-op/UserName using the Flow API,
then so long as that page does not exist,
that action should birth a Flow board.

Rough sketch: Flow should check the user's rights, and if it has right flow-create-board (granted to new flow-bot group), then Flow should ensure Flow on that page, using some variant of ensureFlowRevision

Event Timeline

Spage renamed this task from Co-op: If botcreates a topic or board header on an empty page, turn it into a Flow board. to Co-op: If bot creates a topic or board header on an empty page, turn it into a Flow board..
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage moved this task to Team discussion on the Collaboration-Team-Triage board.
Spage changed Security from none to None.
Spage updated the task description. (Show Details)
Spage added a subscriber: Spage.

Change 178383 had a related patch set uploaded (by EBernhardson):
Create user right for creating flow boards

https://gerrit.wikimedia.org/r/178383

Patch-For-Review

Change 178383 merged by jenkins-bot:
Create user right for creating flow boards

https://gerrit.wikimedia.org/r/178383

Change 180677 had a related patch set uploaded (by Mattflaschen):
Create user right for creating flow boards

https://gerrit.wikimedia.org/r/180677

Patch-For-Review

Change 180677 merged by jenkins-bot:
Create user right for creating flow boards

https://gerrit.wikimedia.org/r/180677

Spage triaged this task as High priority.Dec 19 2014, 6:49 PM

Should be working, need confirmation when Co-op team gets the bot right.

Change 181120 had a related patch set uploaded (by Mattflaschen):
Make flow-bot grantable/removable on testwiki and test2wiki

https://gerrit.wikimedia.org/r/181120

Patch-For-Review

Spage added a comment.EditedDec 29 2014, 8:46 PM

Do we still need https://gerrit.wikimedia.org/r/181120 to grant flow-bot on testwiki? While I had global sysop power I added MatchBot and myself to the Flow bot group on testwiki, https://test.wikipedia.org/wiki/Special:ListUsers?group=flow-bot

Do we still need https://gerrit.wikimedia.org/r/181120 to grant flow-bot on testwiki? While I had global sysop power I added MatchBot and myself to the Flow bot group on testwiki, https://test.wikipedia.org/wiki/Special:ListUsers?group=flow-bot

We'll need a corresponding patch for production (to give English Wikipedia local bureaucrats the right to grant the group), so we might as well just amend that patch and apply it to both testwiki and enwiki.

Spage closed this task as Resolved.EditedDec 30 2014, 1:45 AM

I was able to action=flow&submodule=new-topic on an empty page on testwiki and it created a Flow board, likewise action=flow&submodule=edit-header&ehcontent=foo&page=New_page created a Flow board. \o/

Someone without the flow-create-board right (i.e. not in the flow-bot group) making the same latter Flow API request to edit-header of a non-existent page gets

"error":{"code":"invalid-page","info":"Page provided does not have Flow enabled", ...}

If you have the flow-create-board right and try to add-topic or edit-header on an existing wikitext page, you get the same error.

I think we can declare victory on this one.

Spage updated the task description. (Show Details)Dec 30 2014, 1:49 AM

Change 181120 merged by jenkins-bot:
Make flow-bot grantable/removable on enwiki, testwiki, test2wiki

https://gerrit.wikimedia.org/r/181120